import { Controller, Get } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { RateLimit } from 'nestjs-rate-limiter';

@Controller('rate')
@ApiTags('Rate频率限制')
export default class RateController {
  @Get('/t1')
  @RateLimit({
    keyPrefix: 'sign-up',
    points: 1,
    duration: 1,
    errorMessage: '系统忙',
  })
  T1() {
    return '频率限制T1';
  }
}
