import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import Tech from './entity/tech';
import TechController from './controller/tech';
@Module({
  imports: [TypeOrmModule.forFeature([Tech])], // 此模块使用 forFeature() 方法定义在当前范围中注册哪些存储库。这样，我们就可以使用 @InjectRepository()装饰器将 UsersRepository 注入到 UsersService 中:
  controllers: [TechController],
  providers: [],
})
export class TechModule {}
